<?php
/**
 * Template Part for displaying about section in homepage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package NDesign
 */

if ( get_theme_mod( 'about_title' ) || get_theme_mod( 'about_subtitle' ) || get_theme_mod( 'about_des' ) || get_theme_mod( 'about_image' ) ) : ?>
	<section class="about-section page-section"  id="about-us">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="main-title-blk">
						<!-- Subtitle start -->
						<?php if ( get_theme_mod( 'about_subtitle' ) ) : ?>
							<h4 class="main-subtitle text-center about-subtitle">
								<?php echo esc_html( get_theme_mod( 'about_subtitle' ) ); ?>
							</h4>
						<?php endif ?>
						<!-- Subtitle End -->
						<!-- Title Start -->
						<?php if ( get_theme_mod( 'about_title' ) ) : ?>
							<h2 class="main-title text-center about-title">
								<?php echo esc_html( get_theme_mod( 'about_title' ) ); ?>
							</h2>
						<?php endif ?>
						<!-- Title End -->
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-6">
					<!-- About Content Start -->
					<div class="about-content">
						<?php if ( get_theme_mod( 'about_des' ) ) : ?>
							<?php echo wp_kses_post( get_theme_mod( 'about_des' ) ); ?>
						<?php endif ?>
					</div>
					<!-- About Content End -->
				</div>
				<div class="col-lg-6">
					<!-- About Video block start -->
					<?php if ( get_theme_mod( 'about_image' ) ) : ?>
						<?php $ndesign_about_image = get_theme_mod( 'about_image' ); ?>
						<div class="about-video-content <?php echo !empty(get_theme_mod('about_video')) ? 'about-video-content-overlay':'';?>">
							<?php if ( get_theme_mod( 'about_video' ) ) : ?>
								<a class="venobox pulse-btn" data-vbtype="video" href="<?php echo esc_url( get_theme_mod( 'about_video' ) ); ?>" style="z-index: 10">
									<i class="fa fa-play"></i>
								</a>
							<?php endif ?>
							<img src="<?php echo esc_url( $ndesign_about_image ); ?>" class="w-100">
						</div>
					<?php endif ?>
					<!-- About Video block end -->
				</div>
			</div>
		</div>
	</section>
<?php endif ?>
<!-- About Us Section End -->
